<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:gravity="center"
    android:orientation="vertical">

    <androidx.cardview.widget.CardView
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginLeft="15dp"
        android:layout_marginTop="8dp"
        android:layout_marginRight="15dp"
        android:layout_marginBottom="7dp"
        app:cardCornerRadius="15dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="vertical"
            android:paddingLeft="18dp"
            android:paddingTop="15dp"
            android:paddingRight="18dp"
            android:paddingBottom="18dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <ImageView
                    android:id="@+id/iv_logo"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:src="@drawable/ic_class_logo" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="15dp"
                    android:layout_marginRight="15dp"
                    android:layout_weight="1"
                    android:orientation="vertical">

                    <TextView
                        android:maxLines="3"
                        android:ellipsize="end"
                        android:id="@+id/tv_name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        tools:text="20210310班"
                        android:textColor="#ff343434"
                        android:textSize="16sp" />


                    <TextView
                        android:id="@+id/tv_time"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginTop="5dp"
                        android:drawableLeft="@drawable/ic_time"
                        android:drawablePadding="8dp"
                        android:gravity="center_vertical"
                        tools:text="2021年   3月10日 — 3月20日"
                        android:textColor="#ff989898"
                        android:textSize="12sp" />

                </LinearLayout>

                <FrameLayout
                    android:id="@+id/fl_btn"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tv_check"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:background="@drawable/shape_check_btn"
                            android:paddingLeft="9dp"
                            android:paddingTop="3dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="3dp"
                            android:text="日程安排"
                            android:visibility="gone"
                            tools:visibility="visible"
                            android:textColor="#ff347fff"
                            android:textSize="12sp" />

                        <TextView
                            android:id="@+id/tv_res"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_check_btn"
                            android:paddingLeft="9dp"
                            android:paddingTop="3dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="3dp"
                            android:text="归档资源"
                            android:textColor="#ff347fff"
                            android:textSize="12sp"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_open"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_check_btn"
                            android:paddingLeft="9dp"
                            android:paddingTop="3dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="3dp"
                            android:text="开启报到"
                            android:textColor="#ff347fff"
                            android:textSize="12sp"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_check_detail"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_check_btn"
                            android:paddingLeft="9dp"
                            android:paddingTop="3dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="3dp"
                            android:text="报到详情"
                            android:textColor="#ff347fff"
                            android:textSize="12sp"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_student_loading"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_check_btn"
                            android:paddingLeft="9dp"
                            android:paddingTop="3dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="3dp"
                            android:text="学员进度"
                            android:textColor="#ff347fff"
                            android:textSize="12sp"
                            android:visibility="gone" />

                        <TextView
                            android:id="@+id/tv_student_list"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_marginTop="5dp"
                            android:background="@drawable/shape_check_btn"
                            android:paddingLeft="9dp"
                            android:paddingTop="3dp"
                            android:paddingRight="9dp"
                            android:paddingBottom="3dp"
                            android:text="学员列表"
                            android:textColor="#ff347fff"
                            android:textSize="12sp"
                            android:visibility="gone" />
                    </LinearLayout>

                </FrameLayout>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:layout_height="0.5dp"
                android:layout_marginTop="15dp"
                android:background="#FFE6E6E6" />

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="培训进度："
                    android:textColor="#ff666666"
                    android:textSize="13sp" />

                <ProgressBar
                    android:id="@+id/pb_project"
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="0dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:max="100"
                    android:progress="0"
                    android:progressDrawable="@drawable/pb_pd_sp_downloadxml" />

                <TextView
                    android:id="@+id/tv_pecent"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="7dp"
                    android:text="0%"
                    android:textColor="#ff347fff"
                    android:textSize="12sp" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/ll_check_data"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="15dp"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="70dp"
                    android:layout_height="wrap_content"
                    android:gravity="right"
                    android:text="报到率："
                    android:textColor="#ff666666"
                    android:textSize="13sp" />

                <ProgressBar
                    android:id="@+id/pb_check"
                    style="?android:attr/progressBarStyleHorizontal"
                    android:layout_width="0dp"
                    android:layout_height="10dp"
                    android:layout_gravity="center"
                    android:layout_weight="1"
                    android:max="100"
                    android:progress="0"
                    android:progressDrawable="@drawable/pb_pd_sp_downloadxml2" />

                <TextView
                    android:id="@+id/tv_progress_check"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:layout_marginLeft="7dp"
                    android:text="0%"
                    android:textColor="#FFFFA737"
                    android:textSize="12sp" />

            </LinearLayout>

        </LinearLayout>

    </androidx.cardview.widget.CardView>


</LinearLayout>